com.io7m.r2.meshes.binary.r2mb

## Interface R2MBTriangleReadableType

- All Superinterfaces:
    com.io7m.jpra.runtime.java.JPRAValueType
  All Known Subinterfaces:
    R2MBTriangleType
  All Known Implementing Classes:
    R2MBTriangleByteBuffered

      public interface R2MBTriangleReadableType
      extends com.io7m.jpra.runtime.java.JPRAValueType

  The readable interface to values of the `R2MBTriangle` record type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getV0()`
    `int` | `getV1()`
    `int` | `getV2()`
    `int` | `metaV0OffsetFromCursor()`
    `int` | `metaV0OffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaV0Type()`
    `int` | `metaV1OffsetFromCursor()`
    `int` | `metaV1OffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaV1Type()`
    `int` | `metaV2OffsetFromCursor()`
    `int` | `metaV2OffsetFromType()`
    `com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned` | `metaV2Type()`

    - ### Methods inherited from interface com.io7m.jpra.runtime.java.JPRAValueType

      `sizeOctets`

- - ### Method Detail

    - #### metaV0OffsetFromType

          int metaV0OffsetFromType()

      Returns:
        The offset in octets of the `v0` field, from the start of the type

    - #### metaV0OffsetFromCursor

          int metaV0OffsetFromCursor()

      Returns:
        The offset in octets of the `v0` field, from the cursor

    - #### metaV0Type

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaV0Type()

      Returns:
        The type of the `v0` field

    - #### getV0

          int getV0()

      Returns:
        The value of the `v0` field

    - #### metaV1OffsetFromType

          int metaV1OffsetFromType()

      Returns:
        The offset in octets of the `v1` field, from the start of the type

    - #### metaV1OffsetFromCursor

          int metaV1OffsetFromCursor()

      Returns:
        The offset in octets of the `v1` field, from the cursor

    - #### metaV1Type

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaV1Type()

      Returns:
        The type of the `v1` field

    - #### getV1

          int getV1()

      Returns:
        The value of the `v1` field

    - #### metaV2OffsetFromType

          int metaV2OffsetFromType()

      Returns:
        The offset in octets of the `v2` field, from the start of the type

    - #### metaV2OffsetFromCursor

          int metaV2OffsetFromCursor()

      Returns:
        The offset in octets of the `v2` field, from the cursor

    - #### metaV2Type

          com.io7m.jpra.runtime.java.JPRATypeModel.JPRAIntegerUnsigned metaV2Type()

      Returns:
        The type of the `v2` field

    - #### getV2

          int getV2()

      Returns:
        The value of the `v2` field

Copyright © 2016 <code@io7m.com> http://io7m.com